Bug 811648 - Cannot find new threads: generic error
Summary: Cannot find new threads: generic error
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: gdb
Version: 6.3
Hardware: Unspecified
OS: Linux
unspecified
medium
Target Milestone: rc
: ---
Assignee: Sergio Durigan Junior
QA Contact: qe-baseos-tools
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2012-04-11 15:46 UTC by Miroslav Franc
Modified: 2016-02-01 02:27 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2013-02-21 10:52:51 UTC
Target Upstream Version:


Attachments (Terms of Use)
Some draft patch before it gets finalized. (3.63 KB, patch)
2012-04-15 18:05 UTC, Jan Kratochvil
no flags Details | Diff


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2013:0522 normal SHIPPED_LIVE Moderate: gdb security and bug fix update 2013-02-20 21:28:43 UTC

Description Miroslav Franc 2012-04-11 15:46:12 UTC
Description of problem:
When looking into glibc/nscd crash I hit the following error:
`info thread' or `thread apply all bt' command are printing
"Cannot find new threads: generic error"



Version-Release number of selected component (if applicable):
gdb-7.2-53.el6 is BROKEN (6.3)
gdb-7.2-47.el6 is BROKEN (6.1)
gdb-7.1-29.el6 is OK     (6.0.z)
tried only on x86_64


How reproducible:
I have core file on which I can reproduce it all the time. It happened on live nscd as well, but I'm not sure about reproducibility. Unfortunately the core file has 140 MB so I don't want to attach it to the bugzilla.


Steps to Reproduce:
1. gdb /usr/sbin/nscd core.nscd
2. info threads

  
Actual results:
Cannot find new threads: generic error


Expected results:
  10 Thread 32583  0x00007ffff6e94c73 in epoll_wait () at ../sysdeps/unix/syscall-template.S:82
  9 Thread 32592  pthread_cond_wait@@GLIBC_2.3.2 () at ../nptl/sysdeps/unix/sysv/linux/x86_64/pthread_cond_wait.S:162
  8 Thread 32591  pthread_cond_wait@@GLIBC_2.3.2 () at ../nptl/sysdeps/unix/sysv/linux/x86_64/pthread_cond_wait.S:162
  7 Thread 32590  pthread_cond_wait@@GLIBC_2.3.2 () at ../nptl/sysdeps/unix/sysv/linux/x86_64/pthread_cond_wait.S:162
  6 Thread 32589  pthread_cond_wait@@GLIBC_2.3.2 () at ../nptl/sysdeps/unix/sysv/linux/x86_64/pthread_cond_wait.S:162
  5 Thread 32588  pthread_cond_timedwait@@GLIBC_2.3.2 () at ../nptl/sysdeps/unix/sysv/linux/x86_64/pthread_cond_timedwait.S:216
  4 Thread 32587  pthread_cond_timedwait@@GLIBC_2.3.2 () at ../nptl/sysdeps/unix/sysv/linux/x86_64/pthread_cond_timedwait.S:216
  3 Thread 32586  mempcpy () at ../sysdeps/x86_64/memcpy.S:103
  2 Thread 32585  pthread_cond_timedwait@@GLIBC_2.3.2 () at ../nptl/sysdeps/unix/sysv/linux/x86_64/pthread_cond_timedwait.S:216
* 1 Thread 32584  0x00007ffff6e8afc3 in __poll (fds=<value optimized out>, nfds=<value optimized out>, timeout=<value optimized out>) at ../sysdeps/unix/sysv/linux/poll.c:87

Comment 2 Miroslav Franc 2012-04-11 16:11:57 UTC
glibc/nscd version is: nscd-2.12-1.78.el6

Comment 4 Jan Kratochvil 2012-04-15 18:05:56 UTC
Created attachment 577572 [details]
Some draft patch before it gets finalized.

Comment 5 Jan Kratochvil 2012-04-17 18:56:36 UTC
[patch] 7.3 regression for corrupted core files threads
http://sourceware.org/ml/gdb-patches/2012-04/msg00509.html

Comment 9 errata-xmlrpc 2013-02-21 10:52:51 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

http://rhn.redhat.com/errata/RHSA-2013-0522.html


Note You need to log in before you can comment on or make changes to this bug.